package
{
	import flash.display.Sprite;
	import flash.events.Event;
	
	import com.nativeExtensions.permissions.Permissions;
	import com.nativeExtensions.permissions.PermissionsEvent;
	
    public class Main extends Sprite
	{
        public function Main()
		{		
			this.addEventListener(Event.ADDED_TO_STAGE, addedToStageHandler);
        }
		
		private function addedToStageHandler(event:Event):void
        {
            this.removeEventListener(Event.ADDED_TO_STAGE, addedToStageHandler);

			Permissions.check( [ "android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_CONTACTS" ] );
			Permissions.extension.addEventListener(PermissionsEvent.REQUEST, onPermissions);
		}
		
		private function onPermissions(event:PermissionsEvent):void
		{
			for(var i:int = 0; i < event.permissions.length; i++)
			{
				trace( event.permissions[i].permission, event.permissions[i].grantResult );
			}
		}
    }
}